summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2020-11-02 22:09:09 -0800
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2020-11-02 22:09:35 -0800
commite0104e21c1e97cf60e3167d2ed2b5f17e3ae2280 (patch)
tree414471cf9e61b67455ec8474e2836a0c3db491ca /net-im/telegram-desktop/telegram-desktop-2.4.6.ebuild
parentsec-policy/selinux-base: Drop unnecessary virtual/udev dep (diff)
downloadgentoo-e0104e21c1e97cf60e3167d2ed2b5f17e3ae2280.tar.gz
gentoo-e0104e21c1e97cf60e3167d2ed2b5f17e3ae2280.tar.bz2
gentoo-e0104e21c1e97cf60e3167d2ed2b5f17e3ae2280.zip
net-im/telegram-desktop: fix build with rlottie installed
Closes: https://bugs.gentoo.org/752417 Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Diffstat (limited to 'net-im/telegram-desktop/telegram-desktop-2.4.6.ebuild')
-rw-r--r--net-im/telegram-desktop/telegram-desktop-2.4.6.ebuild4
1 files changed, 3 insertions, 1 deletions
diff --git a/net-im/telegram-desktop/telegram-desktop-2.4.6.ebuild b/net-im/telegram-desktop/telegram-desktop-2.4.6.ebuild
index 28d77efd6cf..77e61279504 100644
--- a/net-im/telegram-desktop/telegram-desktop-2.4.6.ebuild
+++ b/net-im/telegram-desktop/telegram-desktop-2.4.6.ebuild
@@ -96,6 +96,8 @@ pkg_pretend() {
src_prepare() {
# conditional patching is bad, but we want vanilla telegram with webrtc.
use webrtc || local PATCHES=( "${FILESDIR}/no-webrtc-build.patch" )
+ # i asked upstream for explicit toggle, they did not listen. #752417
+ sed -i 's/DESKTOP_APP_USE_PACKAGED/DESKTOP_APP_USE_PACKAGED_FAKE/' cmake/external/rlottie/CMakeLists.txt || die
cmake_src_prepare
}
@@ -114,7 +116,7 @@ src_configure() {
# EXPECTED VARIANT
# gtk is really needed for image copy-paste due to https://bugreports.qt.io/browse/QTBUG-56595
local mycmakeargs=(
- -DCMAKE_DISABLE_FIND_PACKAGE_rlottie=ON # it does not build with system one, prevent automagic.
+ -DCMAKE_DISABLE_FIND_PACKAGE_rlottie=ON # it does not build with system one #752417
-DCMAKE_DISABLE_FIND_PACKAGE_tl-expected=ON # header only lib, some git version. prevents warnings.
-DDESKTOP_APP_DISABLE_CRASH_REPORTS=ON
-DDESKTOP_APP_USE_GLIBC_WRAPS=OFF